Action (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service.jade.messageontology
Class Action

    java.lang.Object
      fr.inrialpes.exmo.align.service.jade.messageontology.Action

All Implemented Interfaces:
  jade.content.ContentElement, jade.content.Predicate, Serializable

Direct Known Subclasses:
  ALIGN, CUT, FIND, LOAD, METADATA, RETRIEVE, STORE, TRANSLATE

    public class Action

extends Object
implements jade.content.Predicate

Protege name: Action

Version:
  2007/03/19, 17:12:29
Author:
  ontology bean generator
See Also:
  Serialized Form

Field Summary
`private List<Parameter>` | `hasParameter` Protege name: hasParameter
`private String` | `result` Protege name: Result
`private static long` | `serialVersionUID`

Constructor Summary
`Action()`

Method Summary
`void` | `addHasParameter(Parameter elem)`
`void` | `clearAllHasParameter()`
`Iterator<Parameter>` | `getAllHasParameter()`
`List<Parameter>` | `getHasParameter()`
`String` | `getResult()`
`boolean` | `removeHasParameter(Parameter elem)`
`void` | `setHasParameter(List<Parameter> l)`
`void` | `setResult(String result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### hasParameter

    private List<Parameter> hasParameter

  Protege name: hasParameter

### result

    private String result

  Protege name: Result

Constructor Detail

### Action

    public Action()

Method Detail

### addHasParameter

    public void addHasParameter(Parameter elem)

### removeHasParameter

    public boolean removeHasParameter(Parameter elem)

### clearAllHasParameter

    public void clearAllHasParameter()

### getAllHasParameter

    public Iterator<Parameter> getAllHasParameter()

### getHasParameter

    public List<Parameter> getHasParameter()

### setHasParameter

    public void setHasParameter(List<Parameter> l)

### setResult

    public void setResult(String result)

### getResult

    public String getResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010